%define realname kdnssd

Name:    kdenetwork-kdnssd
Summary: DNS-SD Service Discovery Monitor
Group:   Networking/Other
Version: 15.04.3
Release: %mkrel 1
URL:            http://www.kde.org
License:        GPLv2 LGPLv2 GFDL
Source0: http://download.kde.org/%{stable}/%{version}/src/zeroconf-ioslave-%{version}.tar.xz
BuildRequires:  kdelibs-devel >= 4.14.7
Requires:  nss_mdns
Provides:  kdenetwork-kdnssd = %{version}-%{release}
# new upstream name in 4.12.95
Provides: zeroconf-ioslave = %{version}-%{release}

%description
KDE Network Monitor for DNS-SD services (Zeroconf)

%files
%dir %_kde_appsdir/remoteview
%_kde_appsdir/remoteview/zeroconf.desktop
%_kde_libdir/kde4/kded_dnssdwatcher.so
%_kde_libdir/kde4/kio_zeroconf.so
%_kde_services/kded/dnssdwatcher.desktop
%_kde_services/zeroconf.protocol
%_datadir/dbus-1/interfaces/org.kde.kdnssd.xml

#------------------------------------------------------------------------------

%prep
%setup -q -n zeroconf-ioslave-%{version}


%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- imported package kdnssd

